package gov.va.med.cds.work;

import commonj.work.Work;
import commonj.work.WorkEvent;
import commonj.work.WorkException;
import commonj.work.WorkItem;

public class DefaultWorkItem implements WorkItem
{
    private Work work;
    private int workStatus;
    
    public DefaultWorkItem( Work work )
    {
        this.work = work;
    }


    @Override
    public Work getResult( ) throws WorkException
    {
        return work;
    }


    @Override
    public int getStatus( )
    {
        return workStatus;
    }


    @Override
    public int compareTo( Object o )
    {
        return 1;
    }


    public void setStatus( int workStatus )
    {
        this.workStatus = workStatus;
        
    }

}
